package com.iamberry.wechat.core.entity.order;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

public class OrderActionDto implements java.io.Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 5765643847595107889L;

	private String orderStatus; // 要操作的订单的当前状态
	
	private String toOrderStatus; // 要将当前订单修改成的状态
	
	private String osid; // 订单操作流程加密
	
	// ----------------- 发货需要字段
	private String postNum; // 物流编号
	
	private String postFirm; // 物流公司
	
	// ----------------- 订单备注需要字段
	
	private String remark; // 备注信息
	
	private Integer remarkColor; // 备注颜色
	
	// ----------------- 搜索的字段
	
	private String text; // 搜索输入的信息
	
	@DateTimeFormat(pattern="yyyy-MM-dd")
	private Date beginDate; // 搜索开始时间

	@DateTimeFormat(pattern="yyyy-MM-dd")
	private Date endDate; // 搜索介绍时间

	public String getOrderStatus() {
		return orderStatus;
	}

	public void setOrderStatus(String orderStatus) {
		this.orderStatus = orderStatus;
	}

	public String getToOrderStatus() {
		return toOrderStatus;
	}

	public void setToOrderStatus(String toOrderStatus) {
		this.toOrderStatus = toOrderStatus;
	}

	public String getOsid() {
		return osid;
	}

	public void setOsid(String osid) {
		this.osid = osid;
	}

	public String getPostNum() {
		return postNum;
	}

	public void setPostNum(String postNum) {
		this.postNum = postNum;
	}

	public String getPostFirm() {
		return postFirm;
	}

	public void setPostFirm(String postFirm) {
		this.postFirm = postFirm;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getRemarkColor() {
		return remarkColor;
	}

	public void setRemarkColor(Integer remarkColor) {
		this.remarkColor = remarkColor;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public Date getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(Date beginDate) {
		this.beginDate = beginDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
	
	@Override
	public String toString() {
		return "OrderActionDTO [orderStatus=" + orderStatus
				+ ", toOrderStatus=" + toOrderStatus + ", osid=" + osid
				+ ", postNum=" + postNum + ", postFirm=" + postFirm
				+ ", remark=" + remark + ", remarkColor=" + remarkColor + "]";
	}
}
